import { RegularGraphRows } from "./regular.js";
export class LinearGraphRows extends RegularGraphRows {
    computeRowsFromCommits(commits) {
        commits.forEach((commit, i) => {
            let newRow = i;
            const isFirstCommit = i === 0;
            if (!isFirstCommit) {
                const parentRow = this.getRowOf(commit.parents[0]);
                newRow = parentRow + 1;
            }
            this.rows.set(commit.hash, newRow);
        });
    }
}
//# sourceMappingURL=linear.js.map