import { TagStyle, CommitStyle } from "./template.js";
import { GitgraphTagOptions } from "./user-api/gitgraph-user-api.js";
export { Tag };
declare class Tag<TNode> {
    /**
     * Name
     */
    readonly name: string;
    /**
     * Custom render function
     */
    readonly render?: GitgraphTagOptions<TNode>["render"];
    /**
     * Style
     */
    get style(): TagStyle;
    private readonly tagStyle;
    private readonly commitStyle;
    constructor(name: string, style: Partial<TagStyle>, render: GitgraphTagOptions<TNode>["render"], commitStyle: CommitStyle);
}
