import { DEFAULT_FONT } from "./template.js";
import { numberOptionOr } from "./utils.js";
export { Tag };
class Tag {
    /**
     * Name
     */
    name;
    /**
     * Custom render function
     */
    render;
    /**
     * Style
     */
    get style() {
        return {
            strokeColor: this.tagStyle.strokeColor || this.commitStyle.color,
            bgColor: this.tagStyle.bgColor || this.commitStyle.color,
            color: this.tagStyle.color || "white",
            font: this.tagStyle.font || this.commitStyle.message.font || DEFAULT_FONT,
            borderRadius: numberOptionOr(this.tagStyle.borderRadius, 10),
            pointerWidth: numberOptionOr(this.tagStyle.pointerWidth, 12),
        };
    }
    tagStyle;
    commitStyle;
    constructor(name, style, render, commitStyle) {
        this.name = name;
        this.tagStyle = style;
        this.commitStyle = commitStyle;
        this.render = render;
    }
}
//# sourceMappingURL=tag.js.map